<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, 'vendors/bootstrap-progressbar/bootstrap-progressbar.min.js');
    loadJS(requireJS, "js/views/member-invites.js");
</script>


<div class="row">
    <div class="col-md-12">
        <div class="x_panel">
            <div class="x_title">
                <h2 th:text="#{mytickets.invitations}">Invitaciones</h2>

                <!--//TODO: habilitar filtros-->
                <!--<div class="panel_toolbox">
                    <form class="form-inline">
                        <div class="form-group">
                            <input class="form-control" type="search" placeholder="Buscar..."/>
                        </div>
                        <div class="form-group">
                            Estado:
                            <select class="form-control">
                                <option>Completo</option>
                            </select>
                        </div>
                        <div class="form-group">
                            Evento:
                            <select class="form-control">
                                <option>Evento barcelona</option>
                            </select>
                        </div>
                        <div class="form-group">
                            Grupo:
                            <select class="form-control">
                                <option>Evento barcelona</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary fa fa-search" style="margin-bottom: 0px !important;"></button>
                        </div>
                    </form>
                </div>-->
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <p th:text="#{availableTickets}">Listado de tus entradas disponibles</p>
                <!-- start project list -->
                <table class="table table-striped projects">
                    <thead>
                        <tr>
                            <th style="width: 10%">#</th>
                            <th style="width: 20%" th:text="#{bonus.event}">Evento</th>
                            <th style="width: 20%" th:text="#{record}">Registros</th>
                            <th style="width: 10%" th:text="#{progress}">Progreso</th>
                            <th style="width: 10%" th:text="#{shipment.status}">Estado</th>
                            <th style="width: 10%" th:text="#{linkToInvite}">Enlace para invitar</th>
                            <th style="width: 10%" th:text="#{use}">Usar</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item : ${page.content}">
                            <td># <span th:text="${item.ticketNumber}" th:title="${item.id}"></td>
                            <td>
                                <a th:text="${item.event.name}">Nombre evento</a>
                                <br/>
                                <small th:text="${item.event.date}">01.01.2015</small>
                                <br/>
                                <small th:text="${item.event.placeAddress}"></small>
                                <br/>
                                <small th:text="${item.seatNumber}"></small>
                            </td>
                            <td>

                                <div th:if="${item.status == 'reclaimed'}">

                                    <span th:if="${item.memberId != null}">
                                        <img th:src="${userAvatar}" onerror="this.src='images/user.png'" src="images/user.png" class="avatar" alt="Avatar">&nbsp;
                                    </span>
                                    <span th:if="${item.memberId == null}">
                                        <img src="images/user.png" class="avatar" alt="Avatar">&nbsp;
                                    </span>
                                    <span th:text="${item.firstName} + ' ' + ${item.lastName}"></span>
                                    <span th:if="${item.memberId == m.id}"> <strong class="green" th:text="#{myticket}">Mi entrada</strong></span>
                                    <br/>&nbsp;
                                    <span th:text="${#dates.format(item.reclaimDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.reclaimDate, 'dd/MM/yyyy HH:mm:ss')}"></span>
                                </div>                                
                            </td>
                            <td class="project_progress">
                                <div class="progress progress_sm">
                                    <div th:switch="${item.status}">
                                        <div th:case="assigned" class="progress-bar bg-green" role="progressbar" data-transitiongoal="20"></div>
                                        <div th:case="invited" class="progress-bar bg-green" role="progressbar" data-transitiongoal="40"></div>
                                        <div th:case="visited" class="progress-bar bg-green" role="progressbar" data-transitiongoal="60"></div>
                                        <div th:case="reclaimed" class="progress-bar bg-green" role="progressbar" data-transitiongoal="80"></div>
                                        <div th:case="completed" class="progress-bar bg-green" role="progressbar" data-transitiongoal="100"></div>                                        
                                    </div>
                                </div>
                                <small>                                    
                                    <div th:switch="${item.status}">
                                        <span th:case="assigned">20%</span>&nbsp;<span th:text="#{completed}">Completo</span>
                                        <span th:case="invited">40%</span>&nbsp;<span th:text="#{completed}">Completo</span>
                                        <span th:case="visited">60%</span>&nbsp;<span th:text="#{completed}">Completo</span>
                                        <span th:case="reclaimed">80%</span>&nbsp;<span th:text="#{completed}">Completo</span>
                                        <span th:case="completed">100%</span>&nbsp;<span th:text="#{completed}">Completo</span>
                                    </div>
                                </small>
                            </td>
                            <td>
                                <div th:switch="${item.status}">
                                    <button th:case="assigned" type="button" class="btn btn-info btn-xs" th:text="#{${item.status}}"><span th:text="#{state-}">estado</span></button>
                                    <button th:case="invited" type="button" class="btn btn-inverse btn-xs" th:text="#{${item.status}}"><span th:text="#{state-}">estado</span></button>
                                    <button th:case="visited" type="button" class="btn btn-warning btn-xs" th:text="#{${item.status}}"><span th:text="#{state-}">estado</span></button>
                                    <button th:case="reclaimed" type="button" class="btn btn-success btn-xs" th:text="#{${item.status}}"><span th:text="#{state-}">estado</span></button>
                                    <button th:case="completed" type="button" class="btn btn-success btn-xs" th:text="#{${item.status}}"><span th:text="#{state-}">estado</span></button>
                                </div>
                            </td>
                            <td class="text-center">
                                <div th:if="${item.status != 'completed'}">
                                    <a th:href="'eventos/' + ${item.inviteCode}" class="btn btn-primary btn-sm" target="_blank">
                                        <i class="fa fa-link"></i>
                                    </a>
                                </div>
                            </td>
                            <td>
                                <!-- sacar hasta que los campos de registro extras se agreguen para los afiliados-->
                                <!--<div th:if="${!mt.get(item.eventId)}">
                                    <button class="btn btn-info action-button" id="choose-my-ticket" th:attr="data-id=${item.id}">
                                        Usar para mí
                                    </button>
                                </div>-->
                            </td>

                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>

